package com.ruoyi.project.base.domain;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 密封点对象 t_base_point
 *
 * @author ruoyi
 * @date 2022-11-11
 */
public class TBasePoint extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 唯一标识id
     */
    private Long pointId;

    @TableField(exist = false)
    private Long planId;

    @TableField(exist = false)
    private Long[] pointIds;

    /**
     * 检测净值
     */
    @Excel(name = "检测净值")
    private String netTestValue;

    /**
     * 泄漏程度
     */
    @Excel(name = "泄漏程度",readConverterExp = "1=不漏,2=一般泄露,3=严重泄漏")
    private String leakageDegree;


    @Excel(name = "装置名称")
    @TableField(exist = false)
    private String plantName;

    @Excel(name = "装置编码")
    @TableField(exist = false)
    private String plantCode;

    @Excel(name = "装置类别")
    @TableField(exist = false)
    private String plantType;

    @Excel(name = "区域编码")
    @TableField(exist = false)
    private String regionCode;

    @Excel(name = "区域名称")
    @TableField(exist = false)
    private String regionName;

    @Excel(name = "设备编码")
    @TableField(exist = false)
    private String devCode;


    @Excel(name = "设备名称")
    @TableField(exist = false)
    private String devName;

    /**
     * 装置ID
     */
    private Long plantId;

    /**
     * 区域ID
     */
    private Long regionId;

    /**
     * 设备id
     */
    private Long devId;

    /**
     * 介质
     */
    @Excel(name = "介质")
    private String medium;

    /**
     * 介质状态
     */
    @Excel(name = "介质状态")
    private String mediumType;

    /**
     * 密封点类型
     */
    @Excel(name = "密封点类型")
    private String pointType;

    /**
     * 平台
     */
    @Excel(name = "平台")
    private String layer;

    /**
     * 群组位置
     */
    @Excel(name = "群组位置")
    private String groupPosition;

    /**
     * 密封点位置
     */
    @Excel(name = "密封点位置")
    private String pointPosition;

    /**
     * 群组编码
     */
    @Excel(name = "群组编码")
    private String groupCode;

    /**
     * 扩展编码
     */
    @Excel(name = "扩展编码")
    private String extendCode;

    /**
     * 密封点子类型
     */
    @Excel(name = "密封点子类型")
    private String subPointType;

    /**
     * 公称直径
     */
    @Excel(name = "公称直径")
    private String dia;

    /**
     * 是否不可达点
     */
    @Excel(name = "是否不可达点")
    private String unarrive;

    /**
     * 不可达原因
     */
    @Excel(name = "不可达原因")
    private String unarriveReason;

    /**
     * 是否保温/保冷
     */
    @Excel(name = "是否保温/保冷")
    private String keepWarm;

    /**
     * 工艺温度
     */
    @Excel(name = "工艺温度")
    private String temperature;

    /**
     * 工艺压力
     */
    @Excel(name = "工艺压力")
    private String pressure;

    /**
     * 运行时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "运行时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date runTime;

    /**
     * PID图号
     */
    @Excel(name = "PID图号")
    private String pidNo;

    /**
     * PID图文件地址
     */
    @Excel(name = "PID图文件地址")
    private String pidUrl;

    /**
     * 群组照片号
     */
    @Excel(name = "群组照片号")
    private String picNo;

    /**
     * 群组照片文件地址
     */
    @Excel(name = "群组照片文件地址")
    private String picUrl;

    /**
     * TOC质量分数
     */
    @Excel(name = "TOC质量分数")
    private String tocMark;

    /**
     * 甲烷质量分数
     */
    @Excel(name = "甲烷质量分数")
    private String methaneMark;

    /**
     * VOCs质量分数
     */
    @Excel(name = "VOCs质量分数")
    private String vocsMark;


    /**
     * 审核状态
     */
    @Excel(name = "审核状态" ,readConverterExp = "0=未审核,1=已送审,2=已审核")
    private Long approveStatus;

    /**
     * 最新申请时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date approveTime;

    /**
     * 部门编号
     */
    private Long deptId;

    /**
     * 状态 1 ：正常 ；0：删除
     */
    private Integer delFlag;

    /**
     * 创建人
     */
    private Long createrCode;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date createdate;

    /**
     * 修改人
     */
    private Long updaterCode;

    @Excel(name = "维护人")
    @TableField(exist = false)
    private String updater;

    @TableField(exist = false)
    private String fileName;


    /**
     * 修改时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "维护时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /**
     * 描述
     */
    @Excel(name = "描述")
    private String remarks;

    @TableField(exist = false)
    private String pidFlag;

    public String getPidFlag() {
        return pidFlag;
    }

    public void setPidFlag(String pidFlag) {
        this.pidFlag = pidFlag;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public Long getPlanId() {
        return planId;
    }

    public void setPlanId(Long planId) {
        this.planId = planId;
    }

    public Long[] getPointIds() {
        return pointIds;
    }

    public void setPointIds(Long[] pointIds) {
        this.pointIds = pointIds;
    }

    public String getRegionCode() {
        return regionCode;
    }

    public void setRegionCode(String regionCode) {
        this.regionCode = regionCode;
    }

    public String getRegionName() {
        return regionName;
    }

    public void setRegionName(String regionName) {
        this.regionName = regionName;
    }

    public String getPlantName() {
        return plantName;
    }

    public void setPlantName(String plantName) {
        this.plantName = plantName;
    }

    public String getPlantCode() {
        return plantCode;
    }

    public void setPlantCode(String plantCode) {
        this.plantCode = plantCode;
    }

    public String getPlantType() {
        return plantType;
    }

    public void setPlantType(String plantType) {
        this.plantType = plantType;
    }

    public String getDevName() {
        return devName;
    }

    public void setDevName(String devName) {
        this.devName = devName;
    }

    public String getDevCode() {
        return devCode;
    }

    public void setDevCode(String devCode) {
        this.devCode = devCode;
    }

    public String getUpdater() {
        return updater;
    }

    public void setUpdater(String updater) {
        this.updater = updater;
    }

    public void setPointId(Long pointId) {
        this.pointId = pointId;
    }

    public Long getPointId() {
        return pointId;
    }

    public void setNetTestValue(String netTestValue) {
        this.netTestValue = netTestValue;
    }

    public String getNetTestValue() {
        return netTestValue;
    }

    public void setLeakageDegree(String leakageDegree) {
        this.leakageDegree = leakageDegree;
    }

    public String getLeakageDegree() {
        return leakageDegree;
    }

    public void setPlantId(Long plantId) {
        this.plantId = plantId;
    }

    public Long getPlantId() {
        return plantId;
    }

    public void setRegionId(Long regionId) {
        this.regionId = regionId;
    }

    public Long getRegionId() {
        return regionId;
    }

    public void setDevId(Long devId) {
        this.devId = devId;
    }

    public Long getDevId() {
        return devId;
    }

    public void setMedium(String medium) {
        this.medium = medium;
    }

    public String getMedium() {
        return medium;
    }

    public void setMediumType(String mediumType) {
        this.mediumType = mediumType;
    }

    public String getMediumType() {
        return mediumType;
    }

    public void setPointType(String pointType) {
        this.pointType = pointType;
    }

    public String getPointType() {
        return pointType;
    }

    public void setLayer(String layer) {
        this.layer = layer;
    }

    public String getLayer() {
        return layer;
    }

    public void setGroupPosition(String groupPosition) {
        this.groupPosition = groupPosition;
    }

    public String getGroupPosition() {
        return groupPosition;
    }

    public void setPointPosition(String pointPosition) {
        this.pointPosition = pointPosition;
    }

    public String getPointPosition() {
        return pointPosition;
    }

    public void setGroupCode(String groupCode) {
        this.groupCode = groupCode;
    }

    public String getGroupCode() {
        return groupCode;
    }

    public void setExtendCode(String extendCode) {
        this.extendCode = extendCode;
    }

    public String getExtendCode() {
        return extendCode;
    }

    public void setSubPointType(String subPointType) {
        this.subPointType = subPointType;
    }

    public String getSubPointType() {
        return subPointType;
    }

    public void setDia(String dia) {
        this.dia = dia;
    }

    public String getDia() {
        return dia;
    }

    public void setUnarrive(String unarrive) {
        this.unarrive = unarrive;
    }

    public String getUnarrive() {
        return unarrive;
    }

    public void setUnarriveReason(String unarriveReason) {
        this.unarriveReason = unarriveReason;
    }

    public String getUnarriveReason() {
        return unarriveReason;
    }

    public void setKeepWarm(String keepWarm) {
        this.keepWarm = keepWarm;
    }

    public String getKeepWarm() {
        return keepWarm;
    }

    public void setTemperature(String temperature) {
        this.temperature = temperature;
    }

    public String getTemperature() {
        return temperature;
    }

    public void setPressure(String pressure) {
        this.pressure = pressure;
    }

    public String getPressure() {
        return pressure;
    }

    public void setRunTime(Date runTime) {
        this.runTime = runTime;
    }

    public Date getRunTime() {
        return runTime;
    }

    public void setPidNo(String pidNo) {
        this.pidNo = pidNo;
    }

    public String getPidNo() {
        return pidNo;
    }

    public void setPidUrl(String pidUrl) {
        this.pidUrl = pidUrl;
    }

    public String getPidUrl() {
        return pidUrl;
    }

    public void setPicNo(String picNo) {
        this.picNo = picNo;
    }

    public String getPicNo() {
        return picNo;
    }

    public void setPicUrl(String picUrl) {
        this.picUrl = picUrl;
    }

    public String getPicUrl() {
        return picUrl;
    }

    public void setTocMark(String tocMark) {
        this.tocMark = tocMark;
    }

    public String getTocMark() {
        return tocMark;
    }

    public void setMethaneMark(String methaneMark) {
        this.methaneMark = methaneMark;
    }

    public String getMethaneMark() {
        return methaneMark;
    }

    public void setVocsMark(String vocsMark) {
        this.vocsMark = vocsMark;
    }

    public String getVocsMark() {
        return vocsMark;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setApproveStatus(Long approveStatus) {
        this.approveStatus = approveStatus;
    }

    public Long getApproveStatus() {
        return approveStatus;
    }

    public void setApproveTime(Date approveTime) {
        this.approveTime = approveTime;
    }

    public Date getApproveTime() {
        return approveTime;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() {
        return delFlag;
    }

    public void setCreaterCode(Long createrCode) {
        this.createrCode = createrCode;
    }

    public Long getCreaterCode() {
        return createrCode;
    }

    public void setCreatedate(Date createdate) {
        this.createdate = createdate;
    }

    public Date getCreatedate() {
        return createdate;
    }

    public void setUpdaterCode(Long updaterCode) {
        this.updaterCode = updaterCode;
    }

    public Long getUpdaterCode() {
        return updaterCode;
    }

    public void setUpdatedate(Date updatedate) {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate() {
        return updatedate;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getPointId())
                .append("netTestValue", getNetTestValue())
                .append("leakageDegree", getLeakageDegree())
                .append("plantId", getPlantId())
                .append("regionId", getRegionId())
                .append("devId", getDevId())
                .append("medium", getMedium())
                .append("mediumType", getMediumType())
                .append("pointType", getPointType())
                .append("layer", getLayer())
                .append("groupPosition", getGroupPosition())
                .append("pointPosition", getPointPosition())
                .append("groupCode", getGroupCode())
                .append("extendCode", getExtendCode())
                .append("subPointType", getSubPointType())
                .append("dia", getDia())
                .append("unarrive", getUnarrive())
                .append("unarriveReason", getUnarriveReason())
                .append("keepWarm", getKeepWarm())
                .append("temperature", getTemperature())
                .append("pressure", getPressure())
                .append("runTime", getRunTime())
                .append("pidNo", getPidNo())
                .append("pidUrl", getPidUrl())
                .append("picNo", getPicNo())
                .append("picUrl", getPicUrl())
                .append("tocMark", getTocMark())
                .append("methaneMark", getMethaneMark())
                .append("vocsMark", getVocsMark())
                .append("remarks", getRemarks())
                .append("approveStatus", getApproveStatus())
                .append("approveTime", getApproveTime())
                .append("deptId", getDeptId())
                .append("delFlag", getDelFlag())
                .append("createrCode", getCreaterCode())
                .append("createdate", getCreatedate())
                .append("updaterCode", getUpdaterCode())
                .append("updatedate", getUpdatedate())
                .toString();
    }
}
